
export const NEW_DEVICE_DATA = "NEW_DEVICE_DATA";
export const CHANGE_USER_NAME = "SET_USERNAME";
export const CHANGE_THEME = "CHANGE_THEME";
export const START_SESSION = "START_SESSION";
export const STOP_SESSION = "STOP_SESSION";

export const reportDeviceData = (sessionId, newDataStart, data, analysis) => ({
    type: NEW_DEVICE_DATA,
    sessionId: sessionId,
    newDataStart: newDataStart, 
    data: data,
    analysis: analysis,
})

export const changeUsername = newUsername => ({
    type: CHANGE_USER_NAME,
    newUserName: newUsername,
})

export const changeTheme = newThemeName => ({
    type: CHANGE_THEME,
    newThemeName: newThemeName
})

export const startSession = () => ({
    type: START_SESSION
})

export const stopSession = () => ({
    type: STOP_SESSION
})